SmallSet (BioJava-1.5-beta API)
Keywords: org.biojava.utils.SmallSet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Class SmallSet

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractSet
              org.biojava.utils.SmallSet

All Implemented Interfaces:
  Iterable, Collection, Set

    public class SmallSet

extends AbstractSet

Lightweight implementation of Set which uses little memory to store a small number of items, at the expense of scalability. Not recomended for more than 20-30 items.

This implementation has the useful property that the iteration order is the same as the order in which the items are added.

Author:
  Matthew Pocock

Constructor Summary
`SmallSet()`
`SmallSet(Collection col)`
`SmallSet(int size)`

Method Summary
`boolean` | `add(Object o)`
`boolean` | `contains(Object o)`
`Iterator` | `iterator()`
`int` | `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, clear, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, clear, containsAll, isEmpty, remove, retainAll, toArray, toArray`

Constructor Detail

### SmallSet

    public SmallSet()

### SmallSet

    public SmallSet(int size)

### SmallSet

    public SmallSet(Collection col)

Method Detail

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection`
  Specified by:
    `contains` in interface `Set`
  Overrides:
    `contains` in class `AbstractCollection`

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `Set`
  Specified by:
    `size` in class `AbstractCollection`

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `Set`
  Overrides:
    `add` in class `AbstractCollection`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in interface `Set`
  Specified by:
    `iterator` in class `AbstractCollection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD